<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [setJobAssignment](./bitburner.officeapi.setjobassignment.md)

## OfficeAPI.setJobAssignment() method

Set the job assignment for a job.

**Signature:**

```typescript
setJobAssignment(
    divisionName: string,
    city: CityName,
    job: Exclude<CorpEmployeePosition, "Unassigned">,
    amount: number,
  ): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  job | Exclude&lt;[CorpEmployeePosition](./bitburner.corpemployeeposition.md)<!-- -->, "Unassigned"&gt; | Name of the job. Passing "Unassigned" will cause this API to not do anything and just return false. |
|  amount | number | Number of employees to assign to that job |

**Returns:**

boolean

true if the employee count reached the target amount, false if not

## Remarks

RAM cost: 20 GB

